Mailing lista

Izaberite mailing listu na koju želite da se prijavite / sa koje želite da se odjavite

You are here

Kritična ranjivost pogađa OpenBSD i većinu Linux distribucija

Istraživač iz Indije pod imenom Narendra Shinde otkrio je kritičnu ranjivost koja omogućava povećanje nivoa privilegija, a pogađa OpenBSD i većinu Linux distribucija uključujući Debian, Ubuntu, CentOS, Red Hat i Fedora. Ranjivost, označena sa CVE-2018-14665, je pronađena u X.Org Server paketu koji predstavlja open source implementaciju X11 grafičkog okruženja.

Zbog greške u radu sa parametrima komandne linije, -modulepath i -logfile, napadač može da korišćenjem komandne linije ili SSH sesije prebriše bilo koju datoteku, uključujući datoteke koje zahtijevaju root privilegije. Napadač može iskoristi ovu tehniku i na shadow datoteci i time dobiti root privilegije. Proof-of-concept kod koji radi gorenavedeno se sastoji od par komandi koje su dovoljno kratke da stanu u jedan tweet.

Popularne distribucije su već objavile članke sa preporukama vezanim za ovu ranjivost.

Članke za neke od distribucija možete pronaći ovdje: